import Vue from 'vue'
import Vuex from 'vuex'

// Modules
import app from './app'
import appConfig from './app-config'
import verticalMenu from './vertical-menu'
import dashboard from './dashboard'

Vue.use(Vuex)

export default new Vuex.Store({
  modules: {
    app,
    appConfig,
    verticalMenu,
    dashboard,
  },
  state: {
    token: null,
  },
  mutations: {
    setToken(state, val) {
      state.token = val
    },
  },
  strict: process.env.DEV,
})
